Subject: [Rfced-future] reminder: please doodle for next interim meeting

From: Eliot Lear <[email-masked]>
Date: Fri, 15 Jan 2021 17:04:12 +0100

https://doodle.com/poll/4e5hcs9quc2fy5hi?utm_source=poll&utm_medium=link